
QGIS Application - Bug report #17910

Reference point property in Layout move elements when exporting.

2018-01-21 02:28 PM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25806

Description

If i use any other reference point than top-left in any element when exporting (to image, pdf, etc). The element will be repositioned with the

top-left element coordinates at the reference point location, moving the element in the exported file and in the layout. Repeated exports

will move the element off the page...

Included example images with layout elements with different reference points, before and after export to pdf.

Associated revisions

Revision 936c30be - 2018-01-22 08:18 AM - Nyall Dawson

Fix layout items with non-top left reference move when exporting

Fixes #17910

History

#1 - 2018-01-22 06:19 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-01-22 08:18 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|936c30bec655d58f9cbf64e9447dcc916c19f7a1.

#3 - 2018-02-21 09:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented
